NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::StudioSplineBuilderEx Class Reference

Studio Spline builder class. More...

Inheritance diagram for NXOpen::Features::StudioSplineBuilderEx:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder NXOpen::Features::DraftingSplineBuilder NXOpen::Features::SketchSplineBuilder

Public Types

enum  DrawingPlaneOptions {
  DrawingPlaneOptionsView, DrawingPlaneOptionsXY, DrawingPlaneOptionsYZ, DrawingPlaneOptionsXZ,
  DrawingPlaneOptionsGeneral
}
 Drawing plane options. More...
 
enum  InputCurveOptions { InputCurveOptionsKeep, InputCurveOptionsHide, InputCurveOptionsDelete }
 Options of the actions to be taken on an input non-parametric spline after its editing is done. More...
 
enum  MatchKnotsTypes { MatchKnotsTypesNone, MatchKnotsTypesCubic, MatchKnotsTypesGeneral }
 Options for creating knots at the defining points in case of through point spline. More...
 
enum  MovementMethodType {
  MovementMethodTypeWCS, MovementMethodTypeView, MovementMethodTypeVector, MovementMethodTypePlane,
  MovementMethodTypeNormal, MovementMethodTypePolygon
}
 Points movement types. More...
 
enum  Types { TypesThroughPoints, TypesByPoles }
 Spline methods. More...
 
enum  WCSOptionType {
  WCSOptionTypeX, WCSOptionTypeY, WCSOptionTypeZ, WCSOptionTypeYZ,
  WCSOptionTypeXZ, WCSOptionTypeXY
}
 WCS principal axis or plane types. More...
 

Public Member Functions

bool CanUseOrientationTool ()
 Returns the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX8.5.1. More...
 
NXOpen::Features::GeometricConstraintDataManagerConstraintManager ()
 Returns the constraint manager
Created in NX8.0.0. More...
 
NXOpen::CoordinateSystemConstraintPlane ()
 Returns the coordinate system defining plane constraint
Created in NX8.0.0. More...
 
NXOpen::SplineCurve ()
 Returns the spline curve
Created in NX8.0.0. More...
 
int Degree ()
 Returns the degree
Created in NX8.0.0. More...
 
NXOpen::PlaneDrawingPlane ()
 Returns the drawing plane
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::DrawingPlaneOptions DrawingPlaneOption ()
 Returns a drawing plane option
Created in NX8.0.0. More...
 
void EditSpline (NXOpen::NXObject *spline)
 Sets a non-parametric spline for editing
Created in NX8.0.0. More...
 
void Evaluate ()
 Evaluates the spline
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::SplineExtensionBuilderExtender ()
 Returns the extension option
Created in NX8.0.0. More...
 
std::vector< double > GetKnots ()
 Queries the knot sequence for by pole spline. More...
 
std::vector< double > GetParameters ()
 Queries the parameters at defining points for a through point spline. More...
 
bool HasPlaneConstraint ()
 Returns the flag indicating if spline has plane constraint
Created in NX8.0.0. More...
 
bool HasProportionalUpdate ()
 Returns the flag indicating if free or non attached defining points or poles should be moved proportionally during update of the spline feature
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::InputCurveOptions InputCurveOption ()
 Returns the input curve option
Created in NX8.0.0. More...
 
void InsertKnot (const NXOpen::Point3d &point)
 Inserts knot at a closest point on the spline
Created in NX8.0.0. More...
 
void InsertPole (int afterIndex)
 Inserts a pole in the middle of a control polygon segment
Created in NX8.0.0. More...
 
bool IsAssociative ()
 Returns the flag indicating if a feature should be created
Created in NX8.0.0. More...
 
bool IsPeriodic ()
 Returns the periodicity
Created in NX8.0.0. More...
 
bool IsSingleSegment ()
 Returns a flag indicating if single segment by pole spline is to be created
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::MatchKnotsTypes MatchKnotsType ()
 Returns a constraint to match knots at the defining points for a through point spline
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::MovementMethodType MovementMethod ()
 Returns the movement method
Created in NX8.0.0. More...
 
NXOpen::PlaneMovementPlane ()
 Returns the movement plane
Created in NX8.0.0. More...
 
NXOpen::DirectionMovementVector ()
 Returns the movement vector
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::OrientXpressBuilderOrientExpress ()
 Returns the orient express object
Created in NX8.0.0. More...
 
void SetAssociative (bool associative)
 Sets the flag indicating if a feature should be created
Created in NX8.0.0. More...
 
void SetCanUseOrientationTool (bool useOrientationTool)
 Sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX8.5.1. More...
 
void SetConstraintPlane (NXOpen::CoordinateSystem *coordinateSystem)
 Sets the coordinate system defining plane constraint
Created in NX8.0.0. More...
 
void SetDegree (int degree)
 Sets the degree
Created in NX8.0.0. More...
 
void SetDrawingPlane (NXOpen::Plane *drawingPlane)
 Sets the drawing plane
Created in NX8.0.0. More...
 
void SetDrawingPlaneOption (NXOpen::Features::StudioSplineBuilderEx::DrawingPlaneOptions planeOption)
 Sets a drawing plane option
Created in NX8.0.0. More...
 
void SetHasPlaneConstraint (bool hasConstraint)
 Sets the flag indicating if spline has plane constraint
Created in NX8.0.0. More...
 
void SetHasProportionalUpdate (bool hasProportionalUpdate)
 Sets the flag indicating if free or non attached defining points or poles should be moved proportionally during update of the spline feature
Created in NX8.0.0. More...
 
void SetInputCurveOption (NXOpen::Features::StudioSplineBuilderEx::InputCurveOptions option)
 Sets the input curve option
Created in NX8.0.0. More...
 
void SetKnots (const std::vector< double > &knots)
 Sets the optional knot sequence for by pole spline
Created in NX8.0.0. More...
 
void SetMatchKnotsType (NXOpen::Features::StudioSplineBuilderEx::MatchKnotsTypes matchKnotsType)
 Sets a constraint to match knots at the defining points for a through point spline
Created in NX8.0.0. More...
 
void SetMovementMethod (NXOpen::Features::StudioSplineBuilderEx::MovementMethodType movementMethod)
 Sets the movement method
Created in NX8.0.0. More...
 
void SetMovementPlane (NXOpen::Plane *movementPlane)
 Sets the movement plane
Created in NX8.0.0. More...
 
void SetMovementVector (NXOpen::Direction *movementVector)
 Sets the movement vector
Created in NX8.0.0. More...
 
void SetParameters (const std::vector< double > &parameters)
 Sets the optional parameters at defining points for a through point spline
Created in NX8.0.0. More...
 
void SetPeriodic (bool periodicity)
 Sets the periodicity
Created in NX8.0.0. More...
 
void SetSingleSegment (bool isSingleSegment)
 Sets a flag indicating if single segment by pole spline is to be created
Created in NX8.0.0. More...
 
void SetType (NXOpen::Features::StudioSplineBuilderEx::Types type)
 Sets the spline method
Created in NX8.0.0. More...
 
void SetWCSOption (NXOpen::Features::StudioSplineBuilderEx::WCSOptionType wcsOption)
 Sets the WCS option
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::Types Type ()
 Returns the spline method
Created in NX8.0.0. More...
 
void UpdateOnConstraintPlane ()
 Updates spline based on constraint plane
Created in NX8.0.0. More...
 
NXOpen::Features::StudioSplineBuilderEx::WCSOptionType WCSOption ()
 Returns the WCS option
Created in NX8.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Studio Spline builder class.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateStudioSplineBuilderEx
Default values.

Property Value

DrawingPlaneOption

View

Extender.EndExtensionOption

None

Extender.EndValue.Value

0 (millimeters part), 0 (inches part)

Extender.StartExtensionOption

None

Extender.StartValue.Value

0 (millimeters part), 0 (inches part)

InputCurveOption

Hide

MatchKnotsType

None

MovementMethod

View

Type

ThroughPoints

WCSOption

X


Created in NX8.0.0.

Member Enumeration Documentation

Drawing plane options.

Enumerator
DrawingPlaneOptionsView 

View plane.

DrawingPlaneOptionsXY 

XY plane.

DrawingPlaneOptionsYZ 

YZ plane.

DrawingPlaneOptionsXZ 

XZ plane.

DrawingPlaneOptionsGeneral 

General plane.

Options of the actions to be taken on an input non-parametric spline after its editing is done.

These options are used only while trying to make non-parametric spline a feature.

Enumerator
InputCurveOptionsKeep 

Keep original curve.

InputCurveOptionsHide 

Hide original curve.

InputCurveOptionsDelete 

Delete original curve.

Options for creating knots at the defining points in case of through point spline.

Enumerator
MatchKnotsTypesNone 

No knot matching.

MatchKnotsTypesCubic 

Match knots for cubic non-periodic spline.

MatchKnotsTypesGeneral 

Match knots for general spline.

Points movement types.

Enumerator
MovementMethodTypeWCS 

Movement along WCS principal axis or plane.

MovementMethodTypeView 

Movement in view plane.

MovementMethodTypeVector 

Movement along arbitrary direction.

MovementMethodTypePlane 

Movement in arbitrary plane.

MovementMethodTypeNormal 

Movement along a face normal.

MovementMethodTypePolygon 

Movement along a relevant control polygon segment.

Spline methods.

Enumerator
TypesThroughPoints 

Spline through points.

TypesByPoles 

Spline by poles.

WCS principal axis or plane types.

Enumerator
WCSOptionTypeX 

Along X axis.

WCSOptionTypeY 

Along Y axis.

WCSOptionTypeZ 

Along Z axis.

WCSOptionTypeYZ 

In YZ plane.

WCSOptionTypeXZ 

In XZ plane.

WCSOptionTypeXY 

In XY plane.

Member Function Documentation

bool NXOpen::Features::StudioSplineBuilderEx::CanUseOrientationTool ( )

Returns the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX8.5.1.



License requirements : None

NXOpen::Features::GeometricConstraintDataManager* NXOpen::Features::StudioSplineBuilderEx::ConstraintManager ( )

Returns the constraint manager
Created in NX8.0.0.



License requirements : None

NXOpen::CoordinateSystem* NXOpen::Features::StudioSplineBuilderEx::ConstraintPlane ( )

Returns the coordinate system defining plane constraint
Created in NX8.0.0.



License requirements : None

NXOpen::Spline* NXOpen::Features::StudioSplineBuilderEx::Curve ( )

Returns the spline curve
Created in NX8.0.0.



License requirements : None

int NXOpen::Features::StudioSplineBuilderEx::Degree ( )

Returns the degree
Created in NX8.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::StudioSplineBuilderEx::DrawingPlane ( )

Returns the drawing plane
Created in NX8.0.0.



License requirements : None

NXOpen::Features::StudioSplineBuilderEx::DrawingPlaneOptions NXOpen::Features::StudioSplineBuilderEx::DrawingPlaneOption ( )

Returns a drawing plane option
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::StudioSplineBuilderEx::EditSpline ( NXOpen::NXObject spline)

Sets a non-parametric spline for editing
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
splinespline
void NXOpen::Features::StudioSplineBuilderEx::Evaluate ( )

Evaluates the spline
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::GeometricUtilities::SplineExtensionBuilder* NXOpen::Features::StudioSplineBuilderEx::Extender ( )

Returns the extension option
Created in NX8.0.0.



License requirements : None

std::vector<double> NXOpen::Features::StudioSplineBuilderEx::GetKnots ( )

Queries the knot sequence for by pole spline.

Returns
The knot sequence
Created in NX8.0.0.

License requirements : None
std::vector<double> NXOpen::Features::StudioSplineBuilderEx::GetParameters ( )

Queries the parameters at defining points for a through point spline.

Returns
The parameters
Created in NX8.0.0.

License requirements : None
bool NXOpen::Features::StudioSplineBuilderEx::HasPlaneConstraint ( )

Returns the flag indicating if spline has plane constraint
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::StudioSplineBuilderEx::HasProportionalUpdate ( )

Returns the flag indicating if free or non attached defining points or poles should be moved proportionally during update of the spline feature
Created in NX8.0.0.



License requirements : None

NXOpen::Features::StudioSplineBuilderEx::InputCurveOptions NXOpen::Features::StudioSplineBuilderEx::InputCurveOption ( )

Returns the input curve option
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::StudioSplineBuilderEx::InsertKnot ( const NXOpen::Point3d point)

Inserts knot at a closest point on the spline
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
pointPoint at which knot to be inserted
void NXOpen::Features::StudioSplineBuilderEx::InsertPole ( int  afterIndex)

Inserts a pole in the middle of a control polygon segment
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
afterIndexIndex of a pole after which to insert new pole
bool NXOpen::Features::StudioSplineBuilderEx::IsAssociative ( )

Returns the flag indicating if a feature should be created
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::StudioSplineBuilderEx::IsPeriodic ( )

Returns the periodicity
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::StudioSplineBuilderEx::IsSingleSegment ( )

Returns a flag indicating if single segment by pole spline is to be created
Created in NX8.0.0.



License requirements : None

NXOpen::Features::StudioSplineBuilderEx::MatchKnotsTypes NXOpen::Features::StudioSplineBuilderEx::MatchKnotsType ( )

Returns a constraint to match knots at the defining points for a through point spline
Created in NX8.0.0.



License requirements : None

NXOpen::Features::StudioSplineBuilderEx::MovementMethodType NXOpen::Features::StudioSplineBuilderEx::MovementMethod ( )

Returns the movement method
Created in NX8.0.0.



License requirements : None

NXOpen::Plane* NXOpen::Features::StudioSplineBuilderEx::MovementPlane ( )

Returns the movement plane
Created in NX8.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::StudioSplineBuilderEx::MovementVector ( )

Returns the movement vector
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::OrientXpressBuilder* NXOpen::Features::StudioSplineBuilderEx::OrientExpress ( )

Returns the orient express object
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::StudioSplineBuilderEx::SetAssociative ( bool  associative)

Sets the flag indicating if a feature should be created
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
associativeassociative
void NXOpen::Features::StudioSplineBuilderEx::SetCanUseOrientationTool ( bool  useOrientationTool)

Sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX8.5.1.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
useOrientationTooluseorientationtool
void NXOpen::Features::StudioSplineBuilderEx::SetConstraintPlane ( NXOpen::CoordinateSystem coordinateSystem)

Sets the coordinate system defining plane constraint
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
coordinateSystemcoordinatesystem
void NXOpen::Features::StudioSplineBuilderEx::SetDegree ( int  degree)

Sets the degree
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
degreedegree
void NXOpen::Features::StudioSplineBuilderEx::SetDrawingPlane ( NXOpen::Plane drawingPlane)

Sets the drawing plane
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
drawingPlanedrawingplane
void NXOpen::Features::StudioSplineBuilderEx::SetDrawingPlaneOption ( NXOpen::Features::StudioSplineBuilderEx::DrawingPlaneOptions  planeOption)

Sets a drawing plane option
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
planeOptionplaneoption
void NXOpen::Features::StudioSplineBuilderEx::SetHasPlaneConstraint ( bool  hasConstraint)

Sets the flag indicating if spline has plane constraint
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
hasConstrainthasconstraint
void NXOpen::Features::StudioSplineBuilderEx::SetHasProportionalUpdate ( bool  hasProportionalUpdate)

Sets the flag indicating if free or non attached defining points or poles should be moved proportionally during update of the spline feature
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
hasProportionalUpdatehasproportionalupdate
void NXOpen::Features::StudioSplineBuilderEx::SetInputCurveOption ( NXOpen::Features::StudioSplineBuilderEx::InputCurveOptions  option)

Sets the input curve option
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
optionoption
void NXOpen::Features::StudioSplineBuilderEx::SetKnots ( const std::vector< double > &  knots)

Sets the optional knot sequence for by pole spline
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
knotsThe knot sequence
void NXOpen::Features::StudioSplineBuilderEx::SetMatchKnotsType ( NXOpen::Features::StudioSplineBuilderEx::MatchKnotsTypes  matchKnotsType)

Sets a constraint to match knots at the defining points for a through point spline
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
matchKnotsTypematchknotstype
void NXOpen::Features::StudioSplineBuilderEx::SetMovementMethod ( NXOpen::Features::StudioSplineBuilderEx::MovementMethodType  movementMethod)

Sets the movement method
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
movementMethodmovementmethod
void NXOpen::Features::StudioSplineBuilderEx::SetMovementPlane ( NXOpen::Plane movementPlane)

Sets the movement plane
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
movementPlanemovementplane
void NXOpen::Features::StudioSplineBuilderEx::SetMovementVector ( NXOpen::Direction movementVector)

Sets the movement vector
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
movementVectormovementvector
void NXOpen::Features::StudioSplineBuilderEx::SetParameters ( const std::vector< double > &  parameters)

Sets the optional parameters at defining points for a through point spline
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
parametersThe parameters
void NXOpen::Features::StudioSplineBuilderEx::SetPeriodic ( bool  periodicity)

Sets the periodicity
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
periodicityperiodicity
void NXOpen::Features::StudioSplineBuilderEx::SetSingleSegment ( bool  isSingleSegment)

Sets a flag indicating if single segment by pole spline is to be created
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
isSingleSegmentissinglesegment
void NXOpen::Features::StudioSplineBuilderEx::SetType ( NXOpen::Features::StudioSplineBuilderEx::Types  type)

Sets the spline method
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
typetype
void NXOpen::Features::StudioSplineBuilderEx::SetWCSOption ( NXOpen::Features::StudioSplineBuilderEx::WCSOptionType  wcsOption)

Sets the WCS option
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

Parameters
wcsOptionwcsoption
NXOpen::Features::StudioSplineBuilderEx::Types NXOpen::Features::StudioSplineBuilderEx::Type ( )

Returns the spline method
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::StudioSplineBuilderEx::UpdateOnConstraintPlane ( )

Updates spline based on constraint plane
Created in NX8.0.0.



License requirements : features_modeling ("FEATURES MODELING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT") OR insp_programming ("INSPECTION PROGRAMMING")

NXOpen::Features::StudioSplineBuilderEx::WCSOptionType NXOpen::Features::StudioSplineBuilderEx::WCSOption ( )

Returns the WCS option
Created in NX8.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.